Bug 603299 - xorg-x11-drv-intel crash
xorg-x11-drv-intel crash
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-12 05:06 EDT by admin
Modified: 2018-04-11 11:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:03:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Relevant messages output (307 bytes, text/plain)
2010-06-12 05:07 EDT, admin
no flags Details
dmesg (55.96 KB, text/plain)
2010-06-12 05:08 EDT, admin
no flags Details
lspci -nn output (5.07 KB, text/plain)
2010-06-12 05:08 EDT, admin
no flags Details
Xorg.0.log (109.80 KB, text/plain)
2010-06-12 16:15 EDT, admin
no flags Details

  None (edit)
Description admin 2010-06-12 05:06:48 EDT
Description of problem:
The xorg-x11-drv-intel package seems to be having a few issues. It will crash with the error:
intel_bufmgr_gem.c:1234: Error setting memory domains 2 (00000040 0000000): Input/output error .
(EE) intel(0): Failed to submit batch buffer, expect rendering corruption or even a frozen display: Input/output error.

This problem seems to occur randomly, but can be triggered by lots of scrolling text. It usually takes a couple minutes to hours to trigger after booting the computer. This is a major issue. The computer is unreliable and useless to me as long as this issue persists. 

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.11.0-4.fc13
xorg-x11-drivers-7.3-14.fc13

How reproducible:
Always

Steps to Reproduce:
1. Boot computer
2. Wait
3.
  
Actual results:
xorg-x11-drv-intel crashes, resulting in the x server crashing. X server cannot be restarted, computer must be rebooted.

Expected results:
I'd expect nothing to crash.

Additional info:

I've downgraded the xorg-x11-drv-intel package to "xorg-x11-drv-intel-2.9.1-1.fc12" which eradicated the problem, so the issue probably has to do with the 2.11 series.

There are several other bugs which are similar, but they are either for other Fedora releases or are triggered from different circumstances, so I'm opening a new bug report which is more relevant to my issue.
Comment 1 admin 2010-06-12 05:07:45 EDT
Created attachment 423464 [details]
Relevant messages output
Comment 2 admin 2010-06-12 05:08:02 EDT
Created attachment 423465 [details]
dmesg
Comment 3 admin 2010-06-12 05:08:21 EDT
Created attachment 423466 [details]
lspci -nn output
Comment 4 Matěj Cepl 2010-06-12 11:05:38 EDT
Could we get /var/log/Xorg.0.log and /etc/X11/xorg.conf (if you have any) as well, please?

THank you
Comment 5 admin 2010-06-12 16:15:06 EDT
Created attachment 423547 [details]
Xorg.0.log
Comment 6 Matěj Cepl 2010-06-12 18:15:25 EDT
[ 39635.216] (EE) intel(0): Failed to submit batch buffer, expect rendering corruption or even a frozen display: Input/output error.
Comment 7 admin 2010-07-03 14:05:15 EDT
I just tested with xorg-x11-drv-intel-2.11.0-5.fc13 and the issue is still present.
Comment 8 Bug Zapper 2011-06-02 07:09:03 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2011-06-27 14:03:58 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.